## Submitting issues

If the app is not behaving like it should, it's not necessarily a bug. Please consult the following resources before
submitting a new issue.

* [User Manual](https://github.com/k9mail/k-9/wiki/Manual)
* [Frequently Asked Questions](https://github.com/k9mail/k-9/wiki/FrequentlyAskedQuestions)
* [Support Forum/Mailing List](http://groups.google.com/group/k-9-mail)
* [Google+ Community](https://plus.google.com/communities/109228641058741937099)

### Bug report guidelines

* __Important:__ Please report issues using our [template](https://raw.githubusercontent.com/k9mail/k-9/master/issue_template.md)
to make sure all important information is included.
* The issue tracker is solely for bug reports and feature/enhancement requests. If you have a question of any kind,
please use the [mailing list](http://groups.google.com/group/k-9-mail) instead.
* Search the [existing issues](https://github.com/k9mail/k-9/issues?q=) first to make sure your issue hasn't been
reported before.


## Translations

We're using [Transifex](https://www.transifex.com/k-9/k9mail/) to manage translations.


## Contributing code

We love [pull requests](https://github.com/k9mail/k-9/pulls) from everyone!

Any contributions, large or small, major features, bug fixes, unit/integration tests are welcomed and appreciated
but will be thoroughly reviewed and discussed.
Please make sure you read the [Code Style Guidelines](https://github.com/k9mail/k-9/wiki/CodeStyle).
