# K-9 Mail
[![Build Status](https://k9mail.ci.cloudbees.com/job/master/badge/icon)](https://k9mail.ci.cloudbees.com/job/master/)
[![Join the chat](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/k9mail/k-9)

K-9 Mail is an open-source email client for Android.


## Download

K-9 Mail can be downloaded from a couple of sources:

- [Google Play](https://play.google.com/store/apps/details?id=com.fsck.k9)
- [F-Droid](https://f-droid.org/repository/browse/?fdid=com.fsck.k9)
- [Github Releases](https://github.com/k9mail/k-9/releases)
- [Amazon Appstore for Android](http://www.amazon.com/dp/B004JK61K0)

You might also be interested in becoming a [beta tester](https://github.com/k9mail/k-9/wiki/BetaTester)
or an [alpha tester](https://github.com/k9mail/k-9/wiki/AlphaTester) to get an early look at new versions.


## Release Notes

Check out the [Release Notes](https://github.com/k9mail/k-9/wiki/ReleaseNotes) to find out what changed
in each version of K-9 Mail.


## Need Help?

If the app is not behaving like it should, you might find these resources helpful:

- [User Manual](https://k9mail.github.io/documentation.html)
- [Frequently Asked Questions](https://k9mail.github.io/documentation/faq.html)
- [Support Forum/Mailing List](http://groups.google.com/group/k-9-mail)
- [Google+ Community](https://plus.google.com/communities/109228641058741937099)


## Translations

Interested in helping to translate K-9 Mail? Contribute here:

https://www.transifex.com/projects/p/k9mail/


## Contributing

Please fork this repository and contribute back using [pull requests](https://github.com/k9mail/k-9/pulls).

Any contributions, large or small, major features, bug fixes, unit/integration tests are welcomed and appreciated
but will be thoroughly reviewed and discussed.
Please make sure you read the [Code Style Guidelines](https://github.com/k9mail/k-9/wiki/CodeStyle).


## Communication

Aside from discussing changes in [pull requests](https://github.com/k9mail/k-9/pulls) and
[issues](https://github.com/k9mail/k-9/issues) we use the following communication services:

- IRC chat, [#k-9 on the Freenode network](http://webchat.freenode.net/?channels=%23k-9)
- [Gitter](https://gitter.im/k9mail/k-9)
- [Developer mailing list](https://groups.google.com/forum/#!forum/k-9-dev)


## License

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.


## Sponsors

CloudBees' [FOSS program](https://www.cloudbees.com/resources/foss) allows us to use their DEV@cloud service for free.

![built on DEV@cloud](https://www.cloudbees.com/sites/default/files/styles/large/public/Button-Built-on-CB-1.png)

